# Class PerfectMoneyAccountPayload

#### Hierarchy

- unknown
  - PerfectMoneyAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4684
- Defined in src/protobuf/pb_pb.d.ts:4696

#####
Index

### Constructors

constructor

### Methods

getAccountNr
serializeBinary
setAccountNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PerfectMoneyAccountPayload(): PerfectMoneyAccountPayload

- #### Returns PerfectMoneyAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4685

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4688

### setAccountNr

- setAccountNr(value: string): PerfectMoneyAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PerfectMoneyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4686

### toObject

- toObject(includeInstance?: boolean): PerfectMoneyAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PerfectMoneyAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4689

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PerfectMoneyAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PerfectMoneyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4692

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PerfectMoneyAccountPayload, reader: BinaryReader): PerfectMoneyAccountPayload

- #### Parameters

  - ##### message: PerfectMoneyAccountPayload

  - ##### reader: BinaryReader

  #### Returns PerfectMoneyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4693

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PerfectMoneyAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PerfectMoneyAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4691

### `Static` toObject

- toObject(includeInstance: boolean, msg: PerfectMoneyAccountPayload): PerfectMoneyAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PerfectMoneyAccountPayload

  #### Returns PerfectMoneyAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4690

Generated using TypeDoc